%global git0 https://github.com/projectatomic/%{name}
%global commit0 51e7c50598412a1da6e063a9d9a765b7299344ee
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name: oci-umount
Epoch: 2
Version: 2.3.0
Release: 1.git%{shortcommit0}%{?dist}
# no go-md2man for ppc64
ExcludeArch: ppc64
URL: %{git0}
Source0: %{git0}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
License: GPLv3+
Summary: OCI umount hook for container runtimes
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: git
BuildRequires: go-md2man
BuildRequires: pkgconfig(yajl)
BuildRequires: pkgconfig(libselinux)
BuildRequires: pkgconfig(mount)
BuildRequires: pcre-devel
Obsoletes: docker-%{name} <= 2:1.13.1-22
Provides: docker-%{name} = %{epoch}:%{version}-%{release}

%description
OCI umount hooks unmount potential leaked mount points in a containers
mount namespaces.

%prep
%autosetup -Sgit -n %{name}-%{commit0}

%build
autoreconf -i
%configure --libexecdir=%{_libexecdir}/oci/hooks.d/
make %{?_smp_mflags}

%install
%make_install

%check

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/%{name}.conf
%dir %{_libexecdir}/oci
%dir %{_libexecdir}/oci/hooks.d
%{_libexecdir}/oci/hooks.d/%{name}
%{_mandir}/man1/%{name}.1*
#% config(noreplace)? probably not in /usr/share
%{_datadir}/containers/oci/hooks.d/%{name}.json
%{_datadir}/%{name}/%{name}-options.conf

%changelog
* Tue Nov 07 2017 Lokesh Mandvekar <lsm5@redhat.com> - 2:2.3.0-1.git51e7c50
- rebase to v2.3.0

* Thu Oct 19 2017 Frantisek Kluknavsky <fkluknav@redhat.com> - 2:2.2.0-1.gite3fbbfb
- rebased to e3fbbfb7e4ce04a256ea8f11858a84faa307b7bd

* Mon Aug 14 2017 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.0-1.git299e781
- initial build as independent package
- obsoletes docker-oci-umount
